# Uses of Interface
net.shibboleth.profile.plugin.Plugin.Package

Packages that use Plugin.Package
Package
Description
net.shibboleth.profile.plugin
Classes for plugins.

## Uses of Plugin.Package in net.shibboleth.profile.plugin

Classes in net.shibboleth.profile.plugin that implement Plugin.Package
Modifier and Type
Class
Description
`private static class`
`PropertyDrivenPlugin.PackageDescriptor`
Implementation of `Plugin.Package` for our use.
Fields in net.shibboleth.profile.plugin with type parameters of type Plugin.Package
Modifier and Type
Field
Description
`private List<Plugin.Package>`
AbstractPlugin.`packages`
Packages to unpack.
Methods in net.shibboleth.profile.plugin that return types with arguments of type Plugin.Package
Modifier and Type
Method
Description
`Collection<Plugin.Package>`
AbstractPlugin.`getPackages()`
Get the things to explicitly install.
`default Collection<Plugin.Package>`
Plugin.`getPackages()`
Get the things to explicitly install.
Method parameters in net.shibboleth.profile.plugin with type arguments of type Plugin.Package
Modifier and Type
Method
Description
`void`
AbstractPlugin.`setPackages(Collection<Plugin.Package> input)`
Set the packages to transfer